Page MenuHomeFreeBSD

The porter's handbook Go chapter: update for D21562
ClosedPublic

Authored by dmgk on Sep 11 2019, 8:45 PM.

Details

Summary

Document GO_TARGET tuple form, clarify that GO_PKGNAME is not needed in modules mode.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dmgk created this revision.Sep 11 2019, 8:45 PM
Herald added 1 blocking reviewer(s): mat. · View Herald TranscriptSep 11 2019, 8:45 PM
tobik requested changes to this revision.Sep 12 2019, 11:48 AM
tobik added inline comments.
en_US.ISO8859-1/books/porters-handbook/uses/chapter.xml
1174 ↗(On Diff #61955)

and seen by the <command>go</command>.

When reading this back out loud this sounds really weird to me and I do not think it adds much information. Can we drop it?

1178 ↗(On Diff #61955)

s/Not needed/It is not needed/

1186 ↗(On Diff #61955)

"The packages to build."

1191–1196 ↗(On Diff #61955)

I think everything after "Specifying" would be better moved to one or more small concrete examples in 6.5.8. Building Go Applications.

This revision now requires changes to proceed.Sep 12 2019, 11:48 AM
dmgk added inline comments.Sep 12 2019, 12:16 PM
en_US.ISO8859-1/books/porters-handbook/uses/chapter.xml
1191–1196 ↗(On Diff #61955)

If you could provide any help with examples, I'd appreciate it, documentation is not my strong suit :)

tobik added inline comments.Sep 12 2019, 12:27 PM
en_US.ISO8859-1/books/porters-handbook/uses/chapter.xml
1191–1196 ↗(On Diff #61955)

This can be something really simple like https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/building.html#cargo-ex2
maybe with the examples you have already given in the summary of D21562.

dmgk updated this revision to Diff 61978.Sep 12 2019, 3:03 PM

Update GO_PKGNAME description, add GO_TARGET tuple form examples.

dmgk marked 4 inline comments as done.Sep 12 2019, 3:04 PM
tobik accepted this revision.EditedSep 14 2019, 8:26 AM

Looks ok to me, but one of the Doc Committers needs to approve.

bcr accepted this revision.Sep 15 2019, 10:27 AM
bcr added a subscriber: bcr.

Looks ok to me, but one of the Doc Committers needs to approve.

Let me be the one: Approved! ;)

This revision was not accepted when it landed; it landed in state Needs Review.Sep 16 2019, 11:32 AM
This revision was automatically updated to reflect the committed changes.